Subject: Re: bug#20642: 24.5; Please improve documentation for `pcase'

From: Stefan Monnier <[email-masked]>
Date: Sun, 24 May 2015 22:08:20 -0400

>       SELFQUOTING	matches itself.  This includes keywords,
>                         numbers, and strings.
> Please add exhaustive information about all the cases covered by the
> SELFQUOTING form.

Actually, it says it right there: keywords, numbers, and strings.
Admittedly, it doesn't say it's exhaustive (partly because this set
could be expanded in the future, tho at this point it seems unlikely).

>       SYMBOL	matches anything and binds it to SYMBOL.
> Please state explicitly in which cases this form applies.  Given that _
> and :foo are also symbols, it is clear that it doesn't apply to all
> symbols.  Something like "all symbols except _, keywords, nil or t"?

Keywords can't be bound since their value is constant.  Same for nil
and t.  So that should be "obvious enough".  As for _ I think it should
also be obvious enough that between a rule "for _" and rule for "SYMBOL"
the most specific rule should take precedence.

        Stefan